- NAME
- SYNOPSIS
- DESCRIPTION
- RETURN VALUES
- SEE ALSO
- HISTORY
- COPYRIGHT

# NAME

X509_ACERT_add1_attr, X509_ACERT_add1_attr_by_NID, X509_ACERT_add1_attr_by_OBJ, X509_ACERT_add1_attr_by_txt, X509_ACERT_delete_attr - X509_ACERT attribute functions

# SYNOPSIS

    #include <openssl/x509_acert.h>

    int X509_ACERT_add1_attr(X509_ACERT *x, X509_ATTRIBUTE *attr);
    int X509_ACERT_add1_attr_by_NID(X509_ACERT *x, int nid, int type,
                                    const void *bytes, int len);
    int X509_ACERT_add1_attr_by_OBJ(X509_ACERT *x, const ASN1_OBJECT *obj,
                                    int type, const void *bytes, int len);
    int X509_ACERT_add1_attr_by_txt(X509_ACERT *x, const char *attrname, int type,
                                    const unsigned char *bytes, int len);
    X509_ATTRIBUTE *X509_ACERT_delete_attr(X509_ACERT *x, int loc);

# DESCRIPTION

X509_ACERT_add1_attr() adds a constructed X509_ATTRIBUTE attr to the existing X509_ACERT structure x.

X509_ACERT_add1_attr_by_NID() and X509_ACERT_add1_attr_by_OBJ() add an attribute of type nid or obj with a value of ASN1 type type constructed using len bytes from bytes.

X509_ACERT_add1_attr_by_txt() adds an attribute of type attrname with a value of ASN1 type type constructed using len bytes from bytes.

X509_ACERT_delete_attr() will delete the locth attribute from x and return a pointer to it or NULL if there are fewer than loc attributes contained in x.

# RETURN VALUES

X509_ACERT_add1_attr(), X509_ACERT_add1_attr_by_NID(), and X509_ACERT_add1_attr_by_OBJ() return 1 for success and 0 for failure.

X509_ACERT_delete_attr() returns a X509_ATTRIBUTE pointer on success or NULL on failure.

# SEE ALSO

X509_ACERT_get_attr_count(3)

# HISTORY

X509_ACERT_add1_attr(), X509_ACERT_add1_attr_by_NID(), X509_ACERT_add1_attr_by_OBJ(), X509_ACERT_add1_attr_by_txt() and X509_ACERT_delete_attr() were added in OpenSSL 3.4.

# COPYRIGHT

Copyright 2023-2024 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the Apache License 2.0 (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at https://www.openssl.org/source/license.html.